Fedora 15 : phpMyAdmin-3.4.8-1.fc15 (2011-16786)

This script is Copyright (C) 2011-2015 Tenable Network Security, Inc.


Synopsis :

The remote Fedora host is missing a security update.

Description :

Changes for 3.4.8.0 (2011-12-01) :

- [interface] enum data split at space char (more space to
edit)

- [interface] ENUM/SET editor can't handle commas in
values

- [interface] no links to browse/empty views and tables

- [interface] Deleted search results remain visible

- [import] ODS import ignores memory limits

- [interface] Visual column separation

- [parser] TRUE not recognized by parser

- [config] Make location of php-gettext configurable

- [import] Handle conflicts in some open_basedir
situations

- [display] Dropdown results - setting NULL does not
work

- [edit] Inline edit on multi-server configuration

- [core] Notice: Array to string conversion in PHP 5.4

- [interface] When ShowTooltipAliasTB is true, VIEW is
wrongly shown as the view name in main panel db
Structure page

- [core] Fail to synchronize column with name of keyword

- [interface] Add column after drop

- [interface] Avoid showing the password in phpinfo()'s
output

- [GUI] 'newer version of phpMyAdmin' message not shown
in IE8

- [interface] Entering the key through a lookup window
does not reset NULL

- [security] Self-XSS on database names (synchronize,
operations/rename), see PMASA-2011-18
(http://www.phpmyadmin.net/home_page/security/PMASA-20
11-18.php)

- [security] Self-XSS on column type (create index,
table Search), see PMASA-2011-18
(http://www.phpmyadmin.net/home_page/security/PMASA-20
11-18.php)

- [security] Self-XSS on invalid query (table overview),
see PMASA-2011-18
(http://www.phpmyadmin.net/home_page/security/PMASA-20
11-18.php)

Note that Tenable Network Security has extracted the preceding
description block directly from the Fedora security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

http://www.phpmyadmin.net/home_page/security/PMASA-2011-18.php
https://bugzilla.redhat.com/show_bug.cgi?id=767666
http://www.nessus.org/u?52702558

Solution :

Update the affected phpMyAdmin package.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)

Family: Fedora Local Security Checks

Nessus Plugin ID: 57327 ()

Bugtraq ID:

CVE ID: CVE-2011-4634

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now